# salt.modules.win_shadow

Manage the shadow file

Important

If you feel that Salt should be using this module to manage passwords on a minion, and it is using a different module (or gives an error similar to 'shadow.info' is not available), see here.

salt.modules.win_shadow.info(name)

  Return information for the specified user This is just returns dummy data so that salt states can work.

  Parameters:

    name (str) -- The name of the user account to show.

  CLI Example:

      salt '*' shadow.info root

salt.modules.win_shadow.require_password_change(name)

  Require the user to change their password the next time they log in.

  Parameters:

    name -- The name of the user account to require a password change.

  Returns:

    True if successful. False if unsuccessful.

  Return type:

    bool

  CLI Example:

      salt '*' shadow.require_password_change <username>

salt.modules.win_shadow.set_expire(name, expire)

  Set the expiration date for a user account.

  Parameters:

    - name -- The name of the user account to edit.

    - expire -- The date the account will expire.

  Returns:

    True if successful. False if unsuccessful.

  Return type:

    bool

  CLI Example:

      salt '*' shadow.set_expire <username> 2016/7/1

salt.modules.win_shadow.set_password(name, password)

  Set the password for a named user.

  Parameters:

    - name (str) -- The name of the user account

    - password (str) -- The new password

  Returns:

    True if successful. False if unsuccessful.

  Return type:

    bool

  CLI Example:

      salt '*' shadow.set_password root mysecretpassword

salt.modules.win_shadow.unlock_account(name)

  Unlocks a user account.

  Parameters:

    name -- The name of the user account to unlock.

  Returns:

    True if successful. False if unsuccessful.

  Return type:

    bool

  CLI Example:

      salt '*' shadow.unlock_account <username>